<?php

declare(strict_types=1);

namespace Drupal\page_layouts\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines layouts annotation object.
 *
 * @Annotation
 */
final class Layouts extends Plugin {

  /**
   * The plugin ID.
   */
  public readonly string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public readonly string $title;

  /**
   * The description of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public readonly string $description;

  /**
   * The form class associated with this plugin
   * It must implement \Drupal\page_layouts\Form\LayoutsFormInterface.
   *
   * @var string
   */
  public readonly string $form;

}
